ReflectionExtension::getClasses
ReflectionExtension::getConstants
ReflectionExtension
PHP Manual

# ReflectionExtension::getClassNames

(PHP 5)

ReflectionExtension::getClassNames — Gets class names

### Description

public array ReflectionExtension::getClassNames ( void )

Gets a listing of class names as defined in the extension.

### Parameters

This function has no parameters.

### Return Values

An array of class names, as defined in the extension. If no classes are defined, an empty array is returned.

### Examples

Example #1 ReflectionExtension::getClassNames() example

`<?php
$ext = new ReflectionExtension('XMLWriter');
var_dump($ext->getClassNames());
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      string(9) "XMLWriter"
    }

### See Also

- ReflectionExtension::getClasses() - Gets classes
- ReflectionExtension::getName() - Gets extension name

ReflectionExtension::getClasses
ReflectionExtension::getConstants
ReflectionExtension
PHP Manual